using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class UIWave : MonoBehaviour {

    Text text;

	// Use this for initialization
	void Start () {
        text = GetComponent<Text>();
        text.enabled = false;
	}
	
	// Update is called once per frame
	void Update () {
        if (GameController.Instance.LastWaveTime + 3 > Time.time)
        {
            text.enabled = true;
            if (GameController.Instance.Sector == 5 && GameController.Instance.WaveNum == 3)
                text.text = "Final Battle!";
            else if (GameController.Instance.WaveNum == 3)
                text.text = "Final Wave";
            else
                text.text = "Wave " + GameController.Instance.WaveNum;
        }
        else
            text.enabled = false;
	}
}
